Package org.opensaml.xacml.policy.impl

# Class IdReferenceTypeImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.core.xml.schema.impl.XSStringImpl
org.opensaml.xacml.policy.impl.IdReferenceTypeImpl

All Implemented Interfaces:
  `XSString`, `XMLObject`, `IdReferenceType`, `XACMLObject`

public class IdReferenceTypeImpl extends XSStringImpl implements IdReferenceType
Implementation of `IdReferenceType`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`earliestVersion`
Value of the earliest version.
`private String`
`latestVersion`
Value of the latest version.
`private String`
`version`
Value of this version.

### Fields inherited from interface org.opensaml.xacml.policy.IdReferenceType

`EARLIEST_VERSION_ATTRIB_NAME, LATEST_VERSION_ATTRIB_NAME, POLICY_ID_REFERENCE_ELEMENT_LOCAL_NAME, POLICY_ID_REFERENCE_ELEMENT_NAME, POLICY_SET_ID_REFERENCE_ELEMENT_LOCAL_NAME, POLICY_SET_ID_REFERENCE_ELEMENT_NAME, SCHEMA_TYPE_LOCAL_NAME, SCHEMA_TYPE_NAME, VERSION_ATTRIB_NAME`

### Fields inherited from interface org.opensaml.core.xml.schema.XSString

`TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`IdReferenceTypeImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getEarliestVersion()`
Gets the earliest version of the reference.
`String`
`getLatestVersion()`
Gets the latest version of the reference.
`String`
`getVersion()`
Gets the version of the reference.
`void`
`setEarliestVersion(String newEarliestVersion)`
Sets the earliest version of the reference.
`void`
`setLatestVersion(String newLastestVersion)`
Sets the latest version of the reference.
`void`
`setVersion(String newVersion)`
Sets the version of the reference.

### Methods inherited from class org.opensaml.core.xml.schema.impl.XSStringImpl

`getOrderedChildren, getValue, setValue`

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

### Methods inherited from interface org.opensaml.core.xml.schema.XSString

`getValue, setValue`

## Field Details

### earliestVersion

private String earliestVersion
Value of the earliest version.

### latestVersion

private String latestVersion
Value of the latest version.

### version

private String version
Value of this version.

## Constructor Details

### IdReferenceTypeImpl

protected IdReferenceTypeImpl(String namespaceURI, String elementLocalName, String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getEarliestVersion

public String getEarliestVersion()
Gets the earliest version of the reference.

Specified by:
  `getEarliestVersion` in interface `IdReferenceType`
Returns:
  earliest version of the reference

### getLatestVersion

public String getLatestVersion()
Gets the latest version of the reference.

Specified by:
  `getLatestVersion` in interface `IdReferenceType`
Returns:
  latest version of the reference

### getVersion

public String getVersion()
Gets the version of the reference.

Specified by:
  `getVersion` in interface `IdReferenceType`
Returns:
  version of the reference

### setEarliestVersion

public void setEarliestVersion(String newEarliestVersion)
Sets the earliest version of the reference.

Specified by:
  `setEarliestVersion` in interface `IdReferenceType`
Parameters:
  `newEarliestVersion` - earliest version of the reference

### setLatestVersion

public void setLatestVersion(String newLastestVersion)
Sets the latest version of the reference.

Specified by:
  `setLatestVersion` in interface `IdReferenceType`
Parameters:
  `newLastestVersion` - latest version of the reference

### setVersion

public void setVersion(String newVersion)
Sets the version of the reference.

Specified by:
  `setVersion` in interface `IdReferenceType`
Parameters:
  `newVersion` - version of the reference